#include <iostream>
#include <string>

using namespace std;

int niz[20];

void strtoint(string x) {
	
	for (int i = 0; i < x.length(); i++) {
		
		if (x[i] == '0') {
			niz[i] = 0;
		}
		if (x[i] == '1') {
			niz[i] = 1;
		}
		if (x[i] == '2') {
			niz[i] = 2;
		}
		if (x[i] == '3') {
			niz[i] = 3;
		}
		if (x[i] == '4') {
			niz[i] = 4;
		}
		if (x[i] == '5') {
			niz[i] = 5;
		}
		if (x[i] == '6') {
			niz[i] = 6;
		}
		if (x[i] == '7') {
			niz[i] = 7;
		}
		if (x[i] == '8') {
			niz[i] = 8;
		}
		if (x[i] == '9') {
			niz[i] = 9;
		}
		
	}
		
}
	

int main() {
	
	int brojac = 0;
	string Br;
	
	cin >> Br;
	
	strtoint(Br);
	
	for (int i = 0; i < Br.length(); i++) {
		
		if (niz[i] >= 5) {
			
			brojac++;
			niz[i] -= 5;
			
		}
		
		if (niz[i] >= 2) {
			
			brojac++;
			niz[i] -= 2;
			
		}
		if (niz[i] >= 2) {
			
			brojac++;
			niz[i] -= 2;
			
		}
		
		if (niz[i] >= 1) {
			
			brojac++;
			niz[i] -= 1;
			
		}
		
	}
	
	cout << brojac;
	
	return 0;
}